;winlut  --  loads look up table palettes for windows images
;            The LUTs are conform the conventions, set with
;            TIMWIN's frame grabber LUTs:
;
; 1 - standard black and white
; 2 - red, green and blue in the 3 most significant bits
; 3 - red in the least significant bit
; 4 - red, green, blue in the 3 LSbits
;
parms
  int selected = 1
endparms

switch selected
  case 1
    lut 3 1 1
  case 2
    lut 3 1 5 6
  case 3
    lut 3 0 1
    lut 3 1 7 1
  case 4
    lut 3 0 1
    lut 3 0 7 1
    lut 3 0 8 2
    lut 3 1 9 3
  default
    stop "Illegal selection"
endsw

stop

